#!/bin/bash

echo "=== List of changes ==="
git status
echo "==========="

echo
read -p "Enter a brief description of changes: " message
echo "Going to commit with message:"
echo "    ${message?}"
echo
read -n 1 -p "Press any key to continue, or <CTRL + C> to cancel"

git add .
git commit -m "${message?}"

printf "\n\n\n"
echo "Saving changes to remote repository."
echo "In the prompt, enter the username & password from Bitwarden for 'git.home.tarka.ca'"
echo
read -n 1 -p "Press any key to continue, or <CTRL + C> to cancel"

git push origin main